@charset "UTF-8";
/***
  The new CSS reset - version 1.7.3 (last updated 7.8.2022)
  GitHub page: https://github.com/elad2412/the-new-css-reset
***/
/*
  Remove all the styles of the "User-Agent-Stylesheet", except for the 'display' property
  - The "symbol *" part is to solve Firefox SVG sprite bug
*/
*:where(:not(html, iframe, canvas, img, svg, video, audio):not(svg *, symbol *)) {
  all: unset;
  display: revert;
}

/* Preferred box-sizing value */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Reapply the pointer cursor for anchor tags */
a, button {
  cursor: revert;
}

/* Remove list styles (bullets/numbers) */
ol, ul, menu {
  list-style: none;
}

/* For images to not be able to exceed their container */
img {
  max-width: 100%;
}

/* removes spacing between cells in tables */
table {
  border-collapse: collapse;
}

/* Safari - solving issue when using user-select:none on the <body> text input doesn't working */
input, textarea {
  -webkit-user-select: auto;
}

/* revert the 'white-space' property for textarea elements on Safari */
textarea {
  white-space: revert;
}

/* minimum style to allow to style meter element */
meter {
  -webkit-appearance: revert;
  -moz-appearance: revert;
       appearance: revert;
}

/* reset default text opacity of input placeholder */
::-moz-placeholder {
  color: unset;
}
::placeholder {
  color: unset;
}

/* fix the feature of 'hidden' attribute.
   display:revert; revert to element instead of attribute */
:where([hidden]) {
  display: none;
}

/* revert for bug in Chromium browsers
  - fix for the content editable attribute will work properly.
  - webkit-user-select: auto; added for Safari in case of using user-select:none on wrapper element*/
:where([contenteditable]:not([contenteditable=false])) {
  -moz-user-modify: read-write;
  -webkit-user-modify: read-write;
  overflow-wrap: break-word;
  -webkit-line-break: after-white-space;
  -webkit-user-select: auto;
}

/* apply back the draggable feature - exist only in Chromium and Safari */
:where([draggable=true]) {
  -webkit-user-drag: element;
}

:root {
  --color-primary: #003894;
  --color-secondary: #F5E6B3;
  --color-text: var(--color-primary);
  --font-base: "Zen Kaku Gothic Antique", sans-serif;
  --font-sub01: 'Shippori Mincho B1', serif;
  --font-eng: 'Plus Jakarta Sans', sans-serif;
  /* 1秒間に動かしたいピクセル数 */
  --speed: 50;
}

html {
  font-size: 62.5%;
}

body {
  background: var(--color-primary);
  color: var(--color-text);
  font-family: var(--font-base);
  font-size: 1.6rem;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 1.8;
  text-rendering: geometricPrecision;
}

img,
svg {
  display: block;
  width: 100%;
  height: auto;
  max-width: 100%;
}
@media screen and (min-width: 961px) {
  img,
  svg {
    width: auto;
  }
}

a,
button {
  cursor: pointer;
}

.l-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  pointer-events: none;
}

.l-header__inner {
  display: flex;
  justify-content: space-between;
  padding-top: 50px;
  padding-inline: 60px;
}
@media screen and (max-width: 960px) {
  .l-header__inner {
    padding-top: 30px;
    padding-inline: 30px;
  }
}

.l-header__logo {
  pointer-events: auto;
  max-width: 73px;
}
@media screen and (max-width: 960px) {
  .l-header__logo {
    max-width: 40px;
  }
}
.l-header__logo a {
  cursor: pointer;
  transition: opacity 0.3s;
}
.l-header__logo a:hover {
  opacity: 0.6;
}

.l-header__menu {
  pointer-events: auto;
}

.l-header__menu-btn {
  cursor: pointer;
  position: relative;
  width: 60px;
  height: 40px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
@media screen and (max-width: 960px) {
  .l-header__menu-btn {
    width: 30px;
    height: 30px;
    justify-content: center;
    gap: 7px;
  }
}

.l-header__menu-btn-line {
  width: 100%;
  height: 2px;
  background-color: #fff;
}

.l-header__menu-close {
  cursor: pointer;
  position: absolute;
  top: 50px;
  right: 60px;
  width: 60px;
  height: 40px;
}
@media screen and (max-width: 960px) {
  .l-header__menu-close {
    top: 30px;
    right: 30px;
    width: 30px;
    height: 30px;
  }
}

.l-header__menu-close-line {
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  width: 100%;
  height: 2px;
  background-color: currentColor;
}
.l-header__menu-close-line:nth-child(1) {
  rotate: 35deg;
}
.l-header__menu-close-line:nth-child(2) {
  rotate: -35deg;
}

.l-header__menu-wrapper {
  pointer-events: auto;
  position: fixed;
  display: none;
  top: 0;
  right: 0;
  width: 100%;
  height: 100dvh;
  color: #fff;
  background-color: var(--color-primary);
  z-index: 100;
  opacity: 0;
  transition-property: display, opacity;
  transition-behavior: allow-discrete;
  transition-duration: 0.3s;
}
@starting-style {
  .l-header__menu-wrapper {
    opacity: 1;
  }
}
.l-header__menu-wrapper.is-open {
  display: block;
  opacity: 1;
}
@starting-style {
  .l-header__menu-wrapper.is-open {
    opacity: 0;
  }
}

.l-header__menu-inner {
  max-height: 100dvh;
  padding: 150px 60px 110px;
  text-align: center;
  overflow-y: auto;
  overscroll-behavior: contain;
}
@media screen and (max-width: 960px) {
  .l-header__menu-inner {
    padding: 100px 30px;
  }
}
.l-header__menu-inner::-webkit-scrollbar {
  width: 8px;
}
@media screen and (max-width: 960px) {
  .l-header__menu-inner::-webkit-scrollbar {
    width: 4px;
  }
}
.l-header__menu-inner::-webkit-scrollbar-thumb {
  background: rgb(from #fff r g b/0.5);
}
.l-header__menu-inner::-webkit-scrollbar-track {
  background-color: rgb(from #fff r g b/0.5);
}

.l-header__menu-logo {
  max-width: 200px;
  margin-inline: auto;
  margin-bottom: 60px;
}
@media screen and (max-width: 960px) {
  .l-header__menu-logo {
    margin-bottom: min(11.1111111111dvh, 150px);
  }
}

.l-header__menu-main {
  display: flex;
  flex-direction: column;
  gap: 20px;
  font-family: var(--font-eng);
  font-size: 3rem;
  font-weight: 600;
}
@media screen and (max-width: 960px) {
  .l-header__menu-main {
    gap: 15px;
    font-size: 2.4rem;
  }
}
.l-header__menu-main a {
  text-decoration: underline;
  -webkit-text-decoration-color: currentColor;
          text-decoration-color: currentColor;
  text-underline-offset: 10px;
  text-decoration-thickness: 2px;
  transition: 0.3s ease;
  transition-property: color, -webkit-text-decoration-color;
  transition-property: color, text-decoration-color;
  transition-property: color, text-decoration-color, -webkit-text-decoration-color;
}
@media screen and (max-width: 960px) {
  .l-header__menu-main a {
    text-decoration-thickness: 1.5px;
  }
}
.l-header__menu-main a:hover {
  color: var(--color-secondary);
  -webkit-text-decoration-color: transparent;
          text-decoration-color: transparent;
}

.l-header__menu-sns {
  margin-top: 60px;
}
@media screen and (max-width: 960px) {
  .l-header__menu-sns {
    margin-top: min(13.3333333333dvh, 150px);
  }
}

.l-footer {
  background: var(--color-primary);
  min-height: 150px;
  padding-block: 40px 10px;
  color: #fff;
  text-align: center;
}

.l-footer__logo {
  max-width: 258px;
  margin-bottom: 25px;
  margin-inline: auto;
}
.l-footer__logo img {
  width: 100%;
  height: auto;
}

.l-footer__sns {
  margin-bottom: 16px;
}

.l-footer__copyright {
  font-family: var(--font-eng);
  font-size: 1.1rem;
  font-weight: 300;
}

.l-inner {
  max-width: 1080px;
  margin-inline: auto;
}
@media screen and (max-width: 960px) {
  .l-inner {
    padding-inline: 7.5vw;
  }
}

.c-icon {
  width: 30px;
  height: 30px;
  fill: currentColor;
  transition: fill 0.3s ease;
}

.c-loading {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  background-color: #fff;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.c-loading__text {
  font-size: 1.6rem;
  letter-spacing: 0.12em;
  font-weight: 500;
}

.c-loading__count {
  font-size: 3rem;
  letter-spacing: 0.08em;
  font-weight: 500;
  line-height: 1;
  margin: 8px 0;
}

.c-loading__indicator {
  width: 400px;
  height: 2px;
  margin: 16px 0 0;
  background-color: rgba(0, 0, 0, 0.2);
}

.c-loading__progress {
  width: 0%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  transition: width 0.2s ease;
}

.-loaded .c-loading {
  opacity: 0;
  pointer-events: none;
  transition: opacity 1.2s ease;
}

.-loaded .c-loading__grp {
  transform: translate(0, -30%);
  transition: transform 2s ease;
}

.c-menu-card {
  display: block;
  position: relative;
  overflow: hidden;
}
@media screen and (max-width: 960px) {
  .c-menu-card {
    border: 2px solid currentColor;
  }
}
@media screen and (min-width: 961px) {
  .c-menu-card:hover .c-menu-card__content {
    opacity: 1;
  }
}

@media screen and (max-width: 960px) {
  .c-menu-card__content {
    padding: 30px 20px 20px;
  }
  .c-menu-card__content .c-menu-name__subtitle {
    padding-inline: 20px;
  }
  .c-menu-card__content .c-menu-name__title {
    display: grid;
    place-content: center;
    width: 100%;
    min-height: 53px;
  }
  .c-menu-card__content .c-menu-name__title::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 18px;
    width: 20px;
    height: 20px;
    translate: 0 -50%;
    rotate: 45deg;
  }
  .c-menu-card__content::after {
    content: "";
    position: absolute;
    bottom: 13px;
    right: 13px;
    width: 14px;
    height: 14px;
    border-top: 2px solid currentColor;
    border-right: 2px solid currentColor;
    rotate: 45deg;
  }
}
@media screen and (min-width: 961px) {
  .c-menu-card__content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(from var(--color-primary) r g b/0.5);
    text-align: center;
    color: var(--color-secondary);
    opacity: 0;
    transition: opacity 0.4s ease-out;
  }
}

.c-menu-name {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 15px;
  text-align: center;
}

.c-menu-name__subtitle {
  min-width: 307px;
  font-family: var(--font-eng);
  font-size: 2.6rem;
  font-weight: 700;
  line-height: 1.1;
  border: 2px solid currentColor;
  border-radius: 100px;
}
@media screen and (max-width: 960px) {
  .c-menu-name__subtitle {
    max-width: 300px;
    min-width: 208px;
    font-size: 2.1rem;
  }
}

.c-menu-name__title {
  position: relative;
  font-size: 1.6rem;
  line-height: 1.3;
}
@media screen and (max-width: 960px) {
  .c-menu-name__title {
    font-size: 1.4rem;
  }
}
.c-menu-name__title span {
  display: inline-block;
  margin-inline: 3px;
  font-weight: 800;
  font-size: 2rem;
  font-family: var(--font-sub01);
}
@media screen and (max-width: 960px) {
  .c-menu-name__title span {
    font-size: 1.8rem;
  }
}
.c-menu-name__title span.--large {
  font-size: 3.2rem;
  letter-spacing: -6%;
}
@media screen and (max-width: 960px) {
  .c-menu-name__title span.--large {
    font-size: 2.8rem;
  }
}

.c-menu-item {
  display: grid;
  grid-template-columns: 394px 1fr;
  gap: 70px;
}
@media screen and (max-width: 960px) {
  .c-menu-item {
    grid-template-columns: 1fr;
    gap: 30px;
  }
}

.c-menu-item__content {
  align-self: center;
}
.c-menu-item__content > *:first-child {
  margin-top: 0;
}

.c-menu-item__catchcopy {
  font-family: var(--font-sub01);
  font-size: 2.2rem;
  font-weight: 500;
  line-height: 1.6;
}
.c-menu-item__catchcopy + .c-menu-item__description {
  margin-top: 20px;
}
@media screen and (max-width: 960px) {
  .c-menu-item__catchcopy {
    font-size: min(5vw, 2rem);
  }
}

.c-menu-item__description {
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 1.6;
}
@media screen and (max-width: 960px) {
  .c-menu-item__description {
    font-size: 1.4rem;
  }
}

.c-menu-item__note {
  margin-top: 8px;
  font-size: 1.3rem;
  font-weight: 400;
  line-height: 1.5;
}
@media screen and (max-width: 960px) {
  .c-menu-item__note {
    font-size: 1.2rem;
  }
}

.c-menu-item__name {
  margin-top: 50px;
  font-size: 1.4rem;
  font-weight: 400;
  line-height: 1.5;
}
@media screen and (max-width: 960px) {
  .c-menu-item__name {
    margin-top: 30px;
    font-size: 1.4rem;
  }
}
.c-menu-item__name span {
  font-family: var(--font-sub01);
  font-size: 1.8rem;
  font-weight: 800;
}
@media screen and (max-width: 960px) {
  .c-menu-item__name span {
    font-size: 1.6rem;
  }
}

.c-menu-item__name-main {
  font-weight: 500;
  font-size: 2.4rem;
}
@media screen and (max-width: 960px) {
  .c-menu-item__name-main {
    font-size: min(5vw, 2rem);
  }
}

.c-menu-item__price {
  margin-top: 10px;
  font-size: 1.8rem;
  font-weight: 400;
  line-height: 1;
  text-align: right;
}
.c-menu-item__price small {
  font-size: 1rem;
}

.c-menu-item__price-list {
  display: grid;
  grid-template-columns: 1fr max-content;
  gap: 20px;
  margin-top: 30px;
  font-size: 1.6rem;
}
@media screen and (max-width: 960px) {
  .c-menu-item__price-list {
    gap: 15px;
  }
}
.c-menu-item__price-list .c-menu-item__price {
  margin-top: 0;
  line-height: 1.2;
}

.c-menu-item__price-list-title {
  line-height: 1.2;
}
.c-menu-item__price-list-title small {
  display: inline-block;
  font-size: 80%;
}
@media screen and (max-width: 960px) {
  .c-menu-item__price-list-title small {
    font-size: 60%;
  }
}

.c-svg-sprite {
  display: none;
  width: 0;
  height: 0;
  opacity: 0;
  overflow: hidden;
}

.c-section-title {
  font-family: var(--font-eng);
  font-size: 3rem;
  font-weight: 600;
  text-align: center;
  line-height: 1;
  letter-spacing: 0;
}
@media screen and (max-width: 960px) {
  .c-section-title {
    font-size: 2.5rem;
  }
}
.c-section-title span {
  position: relative;
  display: inline-block;
  max-width: -moz-max-content;
  max-width: max-content;
}
.c-section-title span::after {
  content: "";
  display: block;
  margin-top: 12px;
  width: 100%;
  height: 3px;
  background: currentColor;
}
@media screen and (max-width: 960px) {
  .c-section-title span::after {
    margin-top: 8px;
    height: 2px;
  }
}

.c-sns-list, .c-sns-list--small {
  display: flex;
  justify-content: center;
  gap: 20px;
}
.c-sns-list a:hover .c-icon, .c-sns-list--small a:hover .c-icon {
  fill: var(--color-secondary);
}

.c-sns-list--small {
  gap: 15px;
}
.c-sns-list--small .c-icon {
  width: 20px;
  height: 20px;
}

/* ==================================================
  Hero
================================================== */
.p-hero {
  position: relative;
  height: 100lvh;
  min-height: 640px;
  color: #fff;
}
@media screen and (max-width: 960px) {
  .p-hero {
    min-height: max(400px, 100dvw);
  }
}

.p-hero__title {
  pointer-events: none;
  position: absolute;
  top: 55%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 70%;
  max-width: 594px;
  z-index: 1;
}

.p-hero__slider,
.p-hero__slider-sp {
  position: relative;
  z-index: 0;
}

.p-hero__image {
  pointer-events: none;
  --scale-before: 1.13;
  --scale-after: 1;
  overflow: hidden;
  height: 100lvh;
  min-height: 640px;
}
@media screen and (max-width: 960px) {
  .p-hero__image {
    min-height: max(400px, 100dvw);
  }
}
.p-hero__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transform: scale(var(--scale-before));
  transition: transform 3.5s linear;
}

.p-hero__image-grid {
  display: grid;
  grid-template-columns: 50% 50%;
  gap: 0;
}
.p-hero__image-grid .p-hero__image:nth-child(1) img {
  transform-origin: 90% center;
}
.p-hero__image-grid .p-hero__image:nth-child(2) img {
  transform-origin: 10% center;
}

.is-slideActive img {
  transform: scale(var(--scale-after));
  transition-delay: 0s;
}

.p-section {
  --section-color: var(--color-secondary);
  --section-bg: var(--color-primary);
  color: var(--section-color);
  background: var(--section-bg);
}

.p-section--pattern01 {
  --section-color: var(--color-secondary);
  --section-bg: var(--color-primary);
}

.p-section--pattern02 {
  --section-color: var(--color-primary);
  --section-bg: var(--color-secondary);
}

/* ==================================================
  About
================================================== */
.p-about {
  overflow: hidden;
}

.p-about__main {
  position: relative;
  text-align: center;
  overflow: hidden;
}

.p-about__content {
  position: relative;
  z-index: 1;
  max-width: 700px;
  margin-inline: auto;
  padding: 150px 0 150px;
  background: var(--color-primary);
}
@media screen and (max-width: 960px) {
  .p-about__content {
    width: 80%;
    padding: 110px 0 130px;
  }
}

.p-about__subtitle {
  font-family: var(--font-sub01);
  font-size: 2.8rem;
  font-weight: 800;
  line-height: 1.5;
  margin-block: 80px 70px;
}
@media screen and (max-width: 960px) {
  .p-about__subtitle {
    font-size: min(2.8rem, 7vw);
    margin-block: 70px 50px;
  }
}

.p-about__description {
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 2;
}
@media screen and (max-width: 960px) {
  .p-about__description {
    font-size: min(1.6rem, 4vw);
  }
}

.c-about__text + .c-about__text {
  margin-top: 40px;
}
@media screen and (max-width: 960px) {
  .c-about__text + .c-about__text {
    margin-top: 30px;
  }
}

.p-about__bg {
  --window-width: 1440;
  --bg-width: 95;
  --bg-height: 97;
  --speed: 0;
  position: absolute;
  top: 0;
  width: calc((100vw - 700px) / 2 + 15 / var(--window-width) * 100vw);
  height: 100%;
  opacity: 0.3;
}
@media screen and (max-width: 960px) {
  .p-about__bg {
    --window-width: 400;
    --bg-width: 108;
    --bg-height: 274;
    width: calc(300 / var(--window-width) * 50vw);
  }
}

.p-about__bg-line {
  position: absolute;
  width: 100vw;
  height: 150%;
  background: url(../images/about/bg_about_01.svg) repeat-y right top/calc(var(--bg-width) / var(--window-width) * 500vw) auto;
}
@media screen and (max-width: 960px) {
  .p-about__bg-line {
    width: calc(300 / var(--window-width) * 50vw);
    background: url(../images/about/bg_about_sp.svg) repeat-y right top/contain;
  }
}

.p-about__bg-animation--up {
  top: -10%;
}

.p-about__bg-animation--down {
  top: -10%;
}

.p-about__bg--01 {
  left: 0;
}
@media screen and (max-width: 960px) {
  .p-about__bg--01 {
    left: -12.5vw;
  }
}
.p-about__bg--01 .p-about__bg-line {
  right: 0;
  background-position-x: right;
}
@media screen and (min-width: 961px) {
  .p-about__bg--01 .p-about__bg-line {
    background-image: url(../images/about/bg_about_01.svg);
  }
}
.p-about__bg--01 .p-about__bg-line:nth-child(2) {
  right: calc(var(--bg-width) / var(--window-width) * 250vw);
}
@media screen and (max-width: 960px) {
  .p-about__bg--01 .p-about__bg-line:nth-child(2) {
    display: none;
  }
}

.p-about__bg--02 {
  right: 0;
}
@media screen and (max-width: 960px) {
  .p-about__bg--02 {
    right: -12.5vw;
  }
}
.p-about__bg--02 .p-about__bg-line {
  left: 0;
  background-position-x: left;
}
@media screen and (min-width: 961px) {
  .p-about__bg--02 .p-about__bg-line {
    background-image: url(../images/about/bg_about_02.svg);
  }
}
.p-about__bg--02 .p-about__bg-line:nth-child(2) {
  left: calc(var(--bg-width) / var(--window-width) * 250vw);
}
@media screen and (max-width: 960px) {
  .p-about__bg--02 .p-about__bg-line:nth-child(2) {
    display: none;
  }
}

@keyframes aboutBgLineUp {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(calc(var(--bg-height) * -2px));
  }
}
@keyframes aboutBgLineDown {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(calc(var(--bg-height) * 2px));
  }
}
.p-about__footer {
  overflow: hidden;
}

.p-about__footer-animation {
  --image-width: 4080;
  --image-height: 314;
  display: flex;
  justify-content: flex-start;
  animation-name: aboutFooterAnimation;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  animation-duration: calc(var(--image-width) / var(--speed) * 1s);
}
@media screen and (max-width: 960px) {
  .p-about__footer-animation {
    --image-width: 3898;
    --image-height: 300;
  }
}
.p-about__footer-animation img {
  max-width: initial;
  width: calc(var(--image-width) * 1px);
  height: calc(var(--image-height) * 1px);
  -o-object-fit: cover;
     object-fit: cover;
}

@keyframes aboutFooterAnimation {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(var(--image-width) * -1px));
  }
}
/* ==================================================
  Menu
================================================== */
.p-menu {
  padding-block: 140px 200px;
}
@media screen and (max-width: 960px) {
  .p-menu {
    padding-block: 60px 100px;
  }
}

.p-menu__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0;
  max-width: 1020px;
  margin-top: 160px;
  margin-inline: auto;
}
@media screen and (max-width: 960px) {
  .p-menu__list {
    grid-template-columns: 1fr;
    margin-top: 50px;
  }
}

@media screen and (max-width: 960px) {
  .p-menu__item:not(:first-child) {
    margin-top: 30px;
  }
}

/* ==================================================
  Modal
================================================== */
.p-modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  opacity: 0;
  z-index: 100;
  transition-property: display, opacity;
  transition-behavior: allow-discrete;
  transition-duration: 0.3s;
}
@starting-style {
  .p-modal {
    opacity: 1;
  }
}
.p-modal.is-open {
  display: block;
  opacity: 1;
  transition-duration: 0.5s;
}
@starting-style {
  .p-modal.is-open {
    opacity: 0;
  }
}

.p-modal__inner {
  height: 100dvh;
  overflow-y: auto;
  overscroll-behavior: contain;
}
.p-modal__inner::-webkit-scrollbar {
  width: 8px;
}
@media screen and (max-width: 960px) {
  .p-modal__inner::-webkit-scrollbar {
    width: 4px;
  }
}
.p-modal__inner::-webkit-scrollbar-thumb {
  background: var(--section-color);
}
.p-modal__inner::-webkit-scrollbar-track {
  background-color: rgb(from var(--section-color) r g b/0.5);
}

.p-modal__content {
  padding-block: 120px;
}
@media screen and (max-width: 960px) {
  .p-modal__content {
    padding-block: 50px;
  }
}

.p-modal__close {
  position: absolute;
  top: 0;
  right: 8px;
  display: block;
  width: 80px;
  height: 80px;
  background: var(--section-bg);
}
@media screen and (max-width: 960px) {
  .p-modal__close {
    right: 4px;
    width: 50px;
    height: 50px;
  }
}
.p-modal__close::before, .p-modal__close::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 2px;
  height: 50%;
  background: currentColor;
}
.p-modal__close::before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.p-modal__close::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

/* ==================================================
  Menu List
================================================== */
.p-menu-list + .p-menu-list {
  margin-top: 50px;
}

.p-menu-list__tag {
  display: flex;
  gap: 10px;
}
.p-menu-list__tag li {
  min-width: 100px;
  padding: 8px 10px;
  font-family: var(--font-eng);
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  color: var(--section-bg);
  background-color: var(--section-color);
  border: 2px solid transparent;
  border-bottom: none;
}
.p-menu-list__tag li:nth-child(even) {
  color: var(--section-color);
  background-color: var(--section-bg);
  border-color: var(--section-color);
}

.p-menu-list__wrapper {
  padding: 0 50px 120px;
  border: 2px solid currentColor;
}
@media screen and (max-width: 960px) {
  .p-menu-list__wrapper {
    padding: 0 24px 60px;
  }
}

.p-menu-list__inner {
  max-width: 820px;
  margin-inline: auto;
}

.p-menu-list__header {
  position: relative;
  min-height: 300px;
  display: grid;
  place-content: center;
  border-bottom: 2px solid currentColor;
}
@media screen and (max-width: 960px) {
  .p-menu-list__header {
    min-height: 240px;
  }
}
.p-menu-list__header::before, .p-menu-list__header::after {
  content: "";
  position: absolute;
  bottom: -1px;
  width: 11px;
  height: 11px;
  border-radius: 50%;
  background: currentColor;
}
.p-menu-list__header::before {
  left: 0;
  translate: -50% 50%;
}
.p-menu-list__header::after {
  right: 0;
  translate: 50% 50%;
}

.p-menu-list__item {
  margin-top: 80px;
}
@media screen and (max-width: 960px) {
  .p-menu-list__item {
    margin-top: 50px;
  }
  .p-menu-list__item:not(:first-child) {
    margin-top: 30px;
    padding-top: 50px;
    border-top: 2px solid currentColor;
  }
}

/* ==================================================
  Logo Animation
================================================== */
.p-top-logo-animation {
  --logo-width: 1476;
  --logo-height: 220;
  overflow: hidden;
  padding-top: 120px;
  height: 400px;
  background-color: #fff;
}
@media screen and (max-width: 960px) {
  .p-top-logo-animation {
    --logo-width: 805;
    --logo-height: 120;
    height: 160px;
    padding-top: 25px;
  }
}

.p-top-logo-animation__text {
  width: calc(var(--logo-width) * 3px);
  height: calc(var(--logo-height) * 1px);
  background: url(../images/common/logo_animation_text.svg) repeat-x top left/auto 100%;
  animation-name: logoAnimationText;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  animation-duration: calc(var(--logo-width) / var(--speed) * 1s);
}

@keyframes logoAnimationText {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(var(--logo-width) * -1px));
  }
}
/* ==================================================
  Information
================================================== */
.p-information__body {
  padding-block: 100px 120px;
}
@media screen and (max-width: 960px) {
  .p-information__body {
    padding-block: 70px 80px;
  }
}

.p-information-list {
  max-width: -moz-max-content;
  max-width: max-content;
  margin-top: 70px;
  margin-inline: auto;
}
@media screen and (max-width: 960px) {
  .p-information-list {
    max-width: 100%;
    margin-top: 40px;
  }
}

.p-information-list__row + .p-information-list__row {
  margin-top: 30px;
}

.p-information-list__row-date {
  font-family: var(--font-eng);
  font-size: 1.4rem;
  font-weight: 300;
  line-height: 1.6;
}

.p-information-list__row-content {
  font-size: 1.6rem;
  font-weight: 600;
  line-height: 1.6;
  word-break: break-all;
}

.p-information-accordion {
  interpolate-size: allow-keywords;
}
.p-information-accordion.is-active .p-information-accordion__title::after {
  translate: 0 30%;
  rotate: 225deg;
}

.p-information-accordion__title {
  cursor: pointer;
  position: relative;
  max-width: -moz-max-content;
  max-width: max-content;
  transition: 0.3s ease;
  transition-property: opacity;
}
.p-information-accordion__title:hover {
  opacity: 0.6;
}
.p-information-accordion__title::after {
  content: "";
  display: inline-block;
  margin-left: 20px;
  width: 10px;
  height: 10px;
  translate: 0 -30%;
  border-right: 2px solid currentColor;
  border-bottom: 2px solid currentColor;
  rotate: 45deg;
}

.p-information-accordion__content {
  height: 0;
  overflow: hidden;
  font-weight: 500;
  line-height: 1.8;
  font-size: 1.5rem;
}

.p-information-accordion__content-inner {
  padding: 20px 10px 30px;
  border-bottom: 1px solid currentColor;
}

/* ==================================================
  Access
================================================== */
.p-access {
  padding: 100px 0;
}
@media screen and (max-width: 960px) {
  .p-access {
    padding: 80px 0;
  }
}
.p-access a {
  text-decoration: underline;
  transition: 0.2s ease;
  transition-property: color, -webkit-text-decoration-color;
  transition-property: color, text-decoration-color;
  transition-property: color, text-decoration-color, -webkit-text-decoration-color;
}
.p-access a:hover {
  opacity: 0.8;
  -webkit-text-decoration-color: transparent;
          text-decoration-color: transparent;
}

.p-access-grid {
  display: grid;
  grid-template-columns: 1fr 50%;
  grid-template-rows: auto auto;
  gap: 50px 100px;
  margin-top: 100px;
}
@media screen and (max-width: 960px) {
  .p-access-grid {
    grid-template-columns: 1fr;
    gap: 40px;
    margin-top: 50px;
  }
}

.p-access-grid__content {
  line-height: 1.6;
}
@media screen and (max-width: 960px) {
  .p-access-grid__content {
    padding-top: 0;
    font-size: 1.6rem;
  }
}

.p-access__info {
  font-weight: 500;
  word-break: break-all;
}
@media screen and (max-width: 960px) {
  .p-access__info {
    margin-top: 30px;
  }
}

@media screen and (min-width: 961px) {
  .p-access-grid__map {
    grid-row: span 2;
  }
}
.p-access-grid__map iframe {
  aspect-ratio: 540/400;
  width: 100%;
  height: auto;
}
@media screen and (max-width: 960px) {
  .p-access-grid__map iframe {
    aspect-ratio: 340/250;
  }
}

.p-access-content-table {
  display: grid;
  grid-template-columns: max-content 1fr;
  gap: 5px 30px;
  font-size: 1.8rem;
}
@media screen and (max-width: 960px) {
  .p-access-content-table {
    font-size: 1.6rem;
  }
}

.p-access-content-table--thin {
  font-size: 1.6rem;
  font-weight: 400;
  gap: 20px 30px;
  padding-top: 40px;
  border-top: 1px solid currentColor;
}

.p-access-content-table__row {
  display: grid;
  grid-template-columns: subgrid;
  grid-column: 1/-1;
}
.p-access-content-table__row.--mt-large {
  margin-top: 30px;
}

.p-access-content-table__row-title {
  font-family: "Plus Jakarta Sans", var(--font-base);
  font-weight: 600;
}

@media screen and (min-width: 961px) {
  .u-sp {
    display: none;
  }
}

@media screen and (max-width: 960px) {
  .u-pc {
    display: none;
  }
}

.u-mt05 {
  margin-top: 0.5em;
}

.u-mb05 {
  margin-bottom: 0.5em;
}

.u-pt05 {
  padding-top: 0.5em;
}

.u-pb05 {
  padding-bottom: 0.5em;
}

.u-mt1 {
  margin-top: 1em;
}

.u-mb1 {
  margin-bottom: 1em;
}

.u-pt1 {
  padding-top: 1em;
}

.u-pb1 {
  padding-bottom: 1em;
}

.u-mt2 {
  margin-top: 2em;
}

.u-mb2 {
  margin-bottom: 2em;
}

.u-pt2 {
  padding-top: 2em;
}

.u-pb2 {
  padding-bottom: 2em;
}

.u-mt3 {
  margin-top: 3em;
}

.u-mb3 {
  margin-bottom: 3em;
}

.u-pt3 {
  padding-top: 3em;
}

.u-pb3 {
  padding-bottom: 3em;
}

.u-mt4 {
  margin-top: 4em;
}

.u-mb4 {
  margin-bottom: 4em;
}

.u-pt4 {
  padding-top: 4em;
}

.u-pb4 {
  padding-bottom: 4em;
}

.u-mt5 {
  margin-top: 5em;
}

.u-mb5 {
  margin-bottom: 5em;
}

.u-pt5 {
  padding-top: 5em;
}

.u-pb5 {
  padding-bottom: 5em;
}

.u-white {
  color: #fff;
  fill: #fff;
}
.u-white * {
  color: #fff;
  fill: #fff;
}

.u-center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.u-right {
  text-align: right;
  margin-left: auto;
}

.u-left {
  text-align: left;
  margin-right: auto;
}

@media screen and (min-width: 961px) {
  .u-sp {
    display: none !important;
  }
}

@media screen and (max-width: 960px) {
  .u-pc {
    display: none !important;
  }
}